%global mainver 6.9.8

Name:		    oniguruma
Version:	    6.9.8
Release:	    1
Summary:	    Regular expressions library
License:	    BSD
URL:		    https://github.com/kkos/oniguruma/
Source0:	    https://github.com/kkos/oniguruma/releases/download/v%{version}/onig-%{version}.tar.gz

BuildRequires:	gcc


%description
Oniguruma is a regular expressions library.
The characteristics of this library is that different character encoding
for every regular expression object can be specified.
(supported APIs: GNU regex, POSIX and Oniguruma native)

%package	    devel
Summary:	    Development files for %{name}
Requires:	    %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package_help

%prep
%autosetup -n onig-%{mainver} -p1
%{__sed} -i.multilib -e 's|-L@libdir@||' onig-config.in

%build
%configure --disable-silent-rules --with-rubydir=%{_bindir}
%make_build

%install
%make_install
%delete_la

%check
make check

%ldconfig_scriptlets

%files
%defattr(-,root,root,-)
%doc	AUTHORS
%license	COPYING
%lang(ja)	%doc	README_japanese index_ja.html
%{_libdir}/libonig.so.5*

%files          devel
%defattr(-,root,root,-)
%lang(ja)	%doc	doc/*.ja
%{_bindir}/onig-config
%{_includedir}/onig*.h
%{_libdir}/*.a
%{_libdir}/libonig.so
%{_libdir}/pkgconfig/%{name}.pc	

%files          help
%defattr(-,root,root)
%doc HISTORY README.md index.html doc/API doc/CALLOUTS.API doc/CALLOUTS.BUILTIN doc/FAQ doc/RE

%changelog
* Mon Jun 27 2022 dillon chen <dillon.chen@gmail.com>
- update to 6.9.8

* Thu Dec 30 2021 panxiaohe <panxiaohe@huawei.com> - 6.9.7.1-1
- update version to 6.9.7.1

* Sat Jan 23 2021 zoulin <zoulin13@huawei.com> - 6.9.6-1
- update version to 6.9.6

* Sat Jan 04 2020 wangxiao <wangxiao65@huawei.com> - 6.9.0-3
- fix CVE-2019-19012

* Thu Mar 12 2020 openEuler Buildteam <buildteam@openeuler.org> - 6.9.0-2
- Add CVE patches

* Wed Feb 12 2020 openEuler Buildteam <buildteam@openeuler.org> - 6.9.0-1
- Package init
